@import "var";
@import "screen";
body {
    display: flex;
    flex-direction: column;
    background: #f9f9f9;
    #list-resources {
        $margin-top-part: 20px;
        overflow: hidden;
        display: flex;
        justify-content: space-between;
        flex-direction: row;
        width: 100%;
        position: relative;
        &,
        &>div {
            height: 100%;
        }
        #facets-list-resources {
            $width-elements: 90%;
            $margin-elements: $margin-top-part auto;
            overflow: hidden;
            width: 28%;
            max-width: 300px;
            display: flex;
            flex-direction: column;
            justify-content: space-between;
            border-right: 1px solid black;
            .menu-burger {
                display: none;
            }
            @media (max-width: $medium) {
                width: 0;
                position: absolute;
                max-width: none;
                z-index: 2;
                background: #f9f9f9;
                transition: all 1s;
                .menu-burger {
                    display: block;
                    position: fixed;
                    top: 8%;
                    left: 10px;
                    transition: all 0.5s;
                }
                &.active {
                    width: 100%;
                    .menu-burger {
                        left: 10px;
                    }
                }
            }
            #div-facets {
                overflow: auto;
                .block-facets {
                    width: $width-elements;
                    border: 1px solid black;
                    border-radius: 0;
                    margin: $margin-elements;
                    h2 {
                        margin: 8px auto 8px 15px;
                        font-size: 14px;
                        hyphens: none;
                        letter-spacing: 0.09em;
                        text-transform: uppercase;
                    }
                    .part-input-block-facets {
                        cursor: initial;
                        padding: 0 15px 8px 15px;
                        input:not([type="checkbox"]),
                        select,
                        ul {
                            display: block;
                            min-height: 25px;
                            width: 95%;
                            margin-left: 5%;
                            padding: 0 0 0 5px;
                        }
                    }
                }
            }
            #div-valid-search {
                border-top: 1px solid black;
                #btn-search-resources {
                    width: 80%;
                    height: 3em;
                    margin: 20px auto;
                    display: block;
                    border-radius: 0 30px;
                    &:hover {
                        color: white;
                    }
                    &:active {
                        box-shadow: none;
                    }
                    i {
                        margin-right: 5px;
                    }
                }
            }
        }
        #slider-list-resources {
            width: 100%;
            .swiper-slide {
                $width-summary: 300px;
                $height-summary: 350px;
                width: 100%;
                height: 98%;
                display: grid;
                grid-template-columns: repeat(auto-fit, $width-summary);
                grid-template-rows: repeat(auto-fit, $height-summary);
                justify-content: space-around;
                align-content: space-around;
                .summary-resource {
                    display: flex;
                    flex-direction: column;
                    justify-content: space-between;
                    align-items: center;
                    border: 1px solid gray;
                    text-align: center;
                    border-radius: 30px 0;
                    width: $width-summary;
                    height: $height-summary;
                    cursor: default;
                    .div-title-image {
                        padding: 3%;
                        display: flex;
                        flex-direction: column;
                        justify-content: space-between;
                        width: 94%;
                        height: 100%;
                        align-items: center;
                        box-shadow: grey 3px 3px 3px;
                        h3 {
                            margin: 0;
                            font-size: 16px;
                        }
                        .div-action-image-summary-resource {
                            $padding-top: 15px;
                            display: flex;
                            flex-direction: column;
                            justify-content: space-between;
                            align-items: center;
                            border: 1px solid black;
                            padding: $padding-top 5px;
                            background: #f5f5f5;
                            position: relative;
                            width: 90%;
                            margin: 0 auto;
                            .div-image-summary-resource {
                                display: flex;
                                flex-direction: column;
                                justify-content: space-between;
                                align-items: center;
                                .div-no-image-summary-resource {
                                    margin-top: 15px;
                                }
                            }
                            .div-action-summary-resource {
                                position: absolute;
                                top: $padding-top;
                                right: 5px;
                                display: flex;
                                flex-direction: column;
                                i {
                                    cursor: pointer;
                                    margin-top: 6px;
                                    &:first-child {
                                        margin-top: 0;
                                    }
                                }
                            }
                        }
                    }
                    .div-name-type-resource {
                        display: flex;
                        justify-content: flex-end;
                        width: 100%;
                        .block-color {
                            margin-left: 10px;
                        }
                    }
                    .btn-info {
                        display: block;
                        width: 100%;
                        padding: 10px 0;
                        border-radius: 0 0 30px 0;
                    }
                }
            }
            .swiper-pagination-bullets {
                //bottom: 50%;
                //transform: translate(0, 50%);
                .swiper-pagination-bullet {
                    width: auto;
                    line-height: 15px;
                    height: auto;
                    font-size: 15px;
                    border: 1px solid black;
                    text-align: center;
                    box-shadow: grey 2px 2px 2px;
                    background: #1cab8b;
                    padding: 2px 5px;
                    border-radius: 5px 0;
                    &:active {
                        box-shadow: none;
                    }
                }
            }
        }
        #no-result {
            position: absolute;
            top: 0;
            left: 0;
            width: 100%;
            height: 100%;
        }
    }
}